Package fr.gouv.vitam.common.client

# Interface MockOrRestClient

All Superinterfaces:
  `AutoCloseable`, `VitamAutoCloseable`

All Known Subinterfaces:
  `AccessExternalClient`, `AccessExternalClientV2`, `AccessInternalClient`, `AdminClient`, `AdminClient`, `AdminExternalClient`, `AdminManagementClient`, `BasicClient`, `BasicClient`, `BatchReportClient`, `CollectExternalClient`, `CollectInternalClient`, `IngestExternalClient`, `IngestInternalClient`, `InternalSecurityClient`, `LogbookLifeCyclesClient`, `LogbookOperationsClient`, `MetaDataClient`, `ProcessingManagementClient`, `SchedulerClient`, `SiegfriedClient`, `StorageClient`, `WorkerClient`

All Known Implementing Classes:
  `AbstractConnection`, `AbstractMockClient`, `AbstractMockClient`, `AdminExternalClientMock`, `AdminExternalClientRest`, `AdminManagementClientMock`, `BatchReportClientRest`, `CollectExternalClientRest`, `CollectInternalClientRest`, `ConnectionImpl`, `DefaultAdminClient`, `DefaultAdminClient`, `DefaultClient`, `DefaultClient`, `FakeDriverImpl.FakeConnectionImpl`, `IhmRecetteClient`, `IngestInternalClientMock`, `InternalSecurityClientRest`, `LogbookOperationsClientMock`, `MetaDataClientMock`, `MetaDataClientRest`, `ProcessingManagementClientMock`, `SiegfriedClientRest`, `StorageClientMock`, `VitamRestTestClient`, `VitamRestTestClient`, `WorkspaceClient`

public interface MockOrRestClient extends VitamAutoCloseable
Basic client api for vitam client either in Mock or Rest mode

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkStatus()`
  Check the status from the service
  `void`
  `checkStatus(jakarta.ws.rs.core.MultivaluedHashMap<String,Object> headers)`
  Check the status from the service used to passe "X-SSL-CLIENT-CERT" header that contain a pem certificate
  `void`
  `close()`
  Close the underneath http client
  `void`
  `consumeAnyEntityAndClose(jakarta.ws.rs.core.Response response)`
  Helper when an error occurs on client usage side to consume response however
  `String`
  `getResourcePath()`
  Get the resource path of the server.
  `String`
  `getServiceUrl()`
  Get the service URL

- ## Method Details

  - ### getResourcePath

    String getResourcePath()
    Get the resource path of the server.
    Returns:
      the resource path as string

  - ### getServiceUrl

    String getServiceUrl()
    Get the service URL
    Returns:
      the service URL

  - ### checkStatus

    void checkStatus() throws VitamApplicationServerException
    Check the status from the service
    Throws:
      `VitamApplicationServerException` - if the Server is unavailable

  - ### checkStatus

    void checkStatus(jakarta.ws.rs.core.MultivaluedHashMap<String,Object> headers) throws VitamApplicationServerException
    Check the status from the service used to passe "X-SSL-CLIENT-CERT" header that contain a pem certificate
    Parameters:
      `headers` -
    Throws:
      `VitamApplicationServerException` - if the Server is unavailable

  - ### consumeAnyEntityAndClose

    void consumeAnyEntityAndClose(jakarta.ws.rs.core.Response response)
    Helper when an error occurs on client usage side to consume response however
    Parameters:
      `response` -

  - ### close

    void close()
    Close the underneath http client
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `VitamAutoCloseable`